Bug 1262884 - Data Tiering:Clear/delete database after(or as part of final step) detaching of hot tier to avoid persistant storage wastage
Data Tiering:Clear/delete database after(or as part of final step) detaching ...
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: tiering (Show other bugs)
3.7.4
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: sankarshan
bugs@gluster.org
: Triaged
Depends On:
Blocks: 1278352
  Show dependency treegraph
 
Reported: 2015-09-14 10:35 EDT by nchilaka
Modified: 2017-03-08 06:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1278352 (view as bug list)
Environment:
Last Closed: 2017-03-08 06:04:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description nchilaka 2015-09-14 10:35:17 EDT
Description of problem:
=======================
We are currently saving the heat patterns of files on database which is stored in persistant brick memory. In a case where we have say lakhs of cold files and are ready to get promoted, then these files are marked in the db. Now when a user issues a detach tier successfuly and detaches the tier , the db still remains on cold tier bricks. We need to clean this cold bricks to facilitate proper storage savings, else this can result in large disk space wasted(incase of huge number of inodes)

Version-Release number of selected component (if applicable):
============================================================
[root@zod ~]# rpm -qa|grep gluster
glusterfs-client-xlators-3.7.4-0.33.git1d02d4b.el7.centos.x86_64
glusterfs-api-3.7.4-0.33.git1d02d4b.el7.centos.x86_64
glusterfs-fuse-3.7.4-0.33.git1d02d4b.el7.centos.x86_64
glusterfs-debuginfo-3.7.4-0.33.git1d02d4b.el7.centos.x86_64
glusterfs-3.7.4-0.33.git1d02d4b.el7.centos.x86_64
glusterfs-server-3.7.4-0.33.git1d02d4b.el7.centos.x86_64
glusterfs-cli-3.7.4-0.33.git1d02d4b.el7.centos.x86_64
glusterfs-libs-3.7.4-0.33.git1d02d4b.el7.centos.x86_64
[root@zod ~]# gluster --version
glusterfs 3.7.4 built on Sep 12 2015 01:35:35
Repository revision: git://git.gluster.com/glusterfs.git
Copyright (c) 2006-2011 Gluster Inc. <http://www.gluster.com>
GlusterFS comes with ABSOLUTELY NO WARRANTY.
You may redistribute copies of GlusterFS under the terms of the GNU General Public License.
[root@zod ~]# 


Steps to Reproduce:
===================
1.create a tiered volume
2.now have some files in cold tier and heat them such that they are to be promoted next.
3. Now note down the db size of each brick (eg: du -sh <brick_path>/.glusterfs/<brick_name>.db)
3.Now detach tier completely (start and commit)
4. Now check the db file and size in cold bricks.
It can be noted that the db still exists and can occupy lot of space when there are lot of files. This db is of no use on  a regular volume. 



Expected results:
=====================
delete db from a volume where tier has been detached

For Eg:a 1000 file db took about 160KB, then for a 1Million file in this case can take about 160-300MB atleast which is significant
Comment 1 Dan Lambright 2015-09-20 16:45:13 EDT
We will defer this, but keep it as a future enhancement.
Comment 4 Kaushal 2017-03-08 06:04:53 EST
This bug is getting closed because GlusteFS-3.7 has reached its end-of-life.

Note: This bug is being closed using a script. No verification has been performed to check if it still exists on newer releases of GlusterFS.
If this bug still exists in newer GlusterFS releases, please reopen this bug against the newer release.

Note You need to log in before you can comment on or make changes to this bug.